Summary:   A popular and easy to use graphical IRC (chat) client
Name:      hexchat
Version:   2.10.2
Release:   1%{?dist}
Group:     Applications/Internet
License:   GPLv2+
URL:       https://hexchat.github.io
Source:    https://dl.hexchat.net/hexchat/%{name}-%{version}.tar.xz

#Builds fail on EPEL/ppc64 so excluding
#https://bugzilla.redhat.com/show_bug.cgi?id=1083759
ExcludeArch: ppc64

BuildRequires: perl-ExtUtils-Embed, python-devel, pciutils-devel
BuildRequires: dbus-glib-devel, intltool, libtool, gnome-common
BuildRequires: glib2-devel, gtk2-devel, libcanberra-devel
BuildRequires: libproxy-devel, libnotify-devel, openssl-devel
BuildRequires: desktop-file-utils, hicolor-icon-theme, sound-theme-freedesktop iso-codes-devel

%description
HexChat is an easy to use graphical IRC chat client for the X Window System.
It allows you to join multiple IRC channels (chat rooms) at the same time, 
talk publicly, private one-on-one conversations etc. Even file transfers
are possible.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
This package contains the development files for %{name}.

%prep
%setup -q

%build
%configure

make %{?_smp_mflags} V=1

%install
make DESTDIR=%{buildroot} install

# Get rid of libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Fix opening irc:// links by adding mimetype and editing exec
desktop-file-install \
    --set-key=Exec --set-value="hexchat -e %U" \
    --dir=%{buildroot}%{_datadir}/applications/ \
    %{buildroot}%{_datadir}/applications/hexchat.desktop

%find_lang %{name}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%{_bindir}/hexchat
%doc COPYING readme.md
%dir %{_libdir}/hexchat
%dir %{_libdir}/hexchat/plugins
%{_libdir}/hexchat/plugins/checksum.so
%{_libdir}/hexchat/plugins/doat.so
%{_libdir}/hexchat/plugins/fishlim.so
%{_libdir}/hexchat/plugins/sysinfo.so
%{_libdir}/hexchat/plugins/perl.so
%{_libdir}/hexchat/plugins/python.so
%{_datadir}/applications/hexchat.desktop
%{_datadir}/icons/hicolor/*
%{_datadir}/appdata/hexchat.appdata.xml
%{_datadir}/dbus-1/services/org.hexchat.service.service
%{_mandir}/man1/*.gz

%files devel
%{_includedir}/hexchat-plugin.h
%{_libdir}/pkgconfig/hexchat-plugin.pc

%changelog
* Tue Nov 25 2014 TingPing <tingping@tingping.se> - 2.10.2-1
- Version bump to 2.10.2

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.10.1-3
- Perl 5.20 rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jul 28 2014 TingPing <tingping@tingping.se> - 2.10.1-1
- Version bump to 2.10.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jun 2 2014 TingPing <tingping@tingping.se> - 2.10.0-1
- Version bump to 2.10.0

* Mon Sep 16 2013 TingPing <tingping@tingping.se> - 2.9.6.1-1
- Version bump to 2.9.6.1

* Wed Sep 11 2013 TingPing <tingping@tingping.se> - 2.9.6-1
- Version bump to 2.9.6

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Aug 03 2013 Kevin Fenzi <kevin@scrye.com> 2.9.5-2
- Rebuild for new perl

* Mon Apr 1 2013 TingPing <tingping@tingping.se> - 2.9.5-1
- Version bump to 2.9.5

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Dec 27 2012 TingPing <tingping@tingping.se> - 2.9.4-1
- Initial HexChat package
